Skip to main content
`Ctrl`+`K`

# transitivity

transitivity(G)

  Compute graph transitivity, the fraction of all possible triangles present in G.

  Possible triangles are identified by the number of “triads” (two edges with a shared vertex).

  The transitivity is

  \[T = 3\frac{\#triangles}{\#triads}.\]
  Parameters:
    G graph
  Returns:
    out float

      Transitivity

  Notes

  Self loops are ignored.

  Examples

      >>> G = nx.complete_graph(5)
      >>> print(nx.transitivity(G))
      1.0